Package uk.ac.starlink.topcat.plot2

## Class ConfigControl

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.TabberControl
  - - uk.ac.starlink.topcat.plot2.ConfigControl

- All Implemented Interfaces:
    `Configger`, `Control`
  Direct Known Subclasses:
    `BasicCoordLayerControl`, `DatalessLayerControl`, `FrameControl`, `FunctionLayerControl`, `ShaderControl`

      public class ConfigControl
      extends TabberControl
      implements Configger

  Control implementation which uses tabs and contains one or more ConfigSpecifiers as the user interaction component. There's nothing to stop you adding non-ConfigSpecifier tabs too.
  Since:
    13 Mar 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigControl​(java.lang.String label, javax.swing.Icon icon)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addSpecifierTab​(java.lang.String name, uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap> specifier)` | Adds a config specifier as one of the tabs.
    `uk.ac.starlink.ttools.plot2.config.ConfigMap` | `getConfig()` | Returns a single config map containing all of the config information gathered by this control.
    `java.util.List<uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap>>` | `getConfigSpecifiers()` | Returns a list of the config specifiers explicitly added to this control.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.TabberControl

      `addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getControlLabel, getPanel, getTabber, removeActionListener`

- - ### Constructor Detail

    - #### ConfigControl

          public ConfigControl​(java.lang.String label,
                               javax.swing.Icon icon)

      Constructor.
      Parameters:
        `label` - control label
        `icon` - control icon

  - ### Method Detail

    - #### addSpecifierTab

          protected void addSpecifierTab​(java.lang.String name,
                                         uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap> specifier)

      Adds a config specifier as one of the tabs.
      Parameters:
        `name` - tab label
        `specifier` - config specifier

    - #### getConfig

          public uk.ac.starlink.ttools.plot2.config.ConfigMap getConfig()

      Returns a single config map containing all of the config information gathered by this control. The returned map is the union of all the configs gathered from the specifiers added by the `addSpecifierTab` method.
      Specified by:
        `getConfig` in interface `Configger`
      Returns:
        all configuration information gathered by this control

    - #### getConfigSpecifiers

          public java.util.List<uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap>> getConfigSpecifiers()

      Returns a list of the config specifiers explicitly added to this control.
      Returns:
        list of specifiers

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.